<?php

namespace Modules\Servervote\Providers;

use App\Providers\ModuleServiceProvider;

class ServiceProvider extends ModuleServiceProvider
{
    protected $listen = [
        \App\Events\StoreCreditSaving::class => [\Modules\Servervote\Listeners\StoreCreditSaving::class],
    ];

    public function boot(): void
    {
        $this->loadRoutesFrom($this->module->getPath('routes.php'));
        $this->loadViewsFrom($this->module->getPath('resources/views'));

        $this->navbarLinks([
            [
                'icon' => 'fas fa-box',
                'name' => 'Server Vote',
                'url' => '/vote',
            ],
        ]);
    }
}
